{% raw %}
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: harbor-chart-robot
  namespace: ci
spec:
  refreshInterval: 1h
  secretStoreRef:
    name: vault-backend
    kind: ClusterSecretStore
  target:
    name: harbor-chart-robot
    template:
      metadata:
        labels:
          "jenkins.io/credentials-type": "usernamePassword"
        annotations:
          "jenkins.io/credentials-description": "harbor chart robot"
      data:
        username: >-
          {{ printf "{{ .username | toString }}" }}
        password: >-
          {{ printf "{{ .password | toString }}" }}
  data:
    - secretKey: username
      remoteRef:
        key: my-kv
        property: harbor-chart-robot-username
    - secretKey: password
      remoteRef:
        key: my-kv
        property: harbor-chart-robot-token
{% endraw %}